Package org.eclipse.m2m.atl.debug.core.adwp

# Class ObjectReference

java.lang.Object
org.eclipse.m2m.atl.debug.core.adwp.Value
org.eclipse.m2m.atl.debug.core.adwp.ObjectReference

Direct Known Subclasses:
  `LocalObjectReference`, `LocalObjectReference`, `RemoteObjectReference`

public abstract class ObjectReference extends Value
A reference to an object.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`id`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ObjectReference(int id)`
Creates a new reference with the given id.

## Method Summary

Modifier and Type
Method
Description
`abstract Value`
`call(String opName, List<Value> args)`
Calls an operation with the given arguments.
`abstract Value`
`get(String propName)`
Gets a value for the given property.
`int`
`getId()`
`abstract void`
`set(String propName, Value value)`
Sets a value for the given property.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### id

protected int id

## Constructor Details

### ObjectReference

protected ObjectReference(int id)
Creates a new reference with the given id.

Parameters:
  `id` - the id

## Method Details

### get

public abstract Value get(String propName)
Gets a value for the given property.

Parameters:
  `propName` - the property name
Returns:
  the value

### set

public abstract void set(String propName, Value value)
Sets a value for the given property.

Parameters:
  `propName` - the property name
  `value` - the value to set

### call

public abstract Value call(String opName, List<Value> args)
Calls an operation with the given arguments.

Parameters:
  `opName` - the operation name
  `args` - the arguments
Returns:
  the operation call result

### getId

public int getId()

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`